package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.system.domain.SubSource;
import com.ruoyi.system.domain.Tender;
import com.ruoyi.system.mapper.SubSourceMapper;
import com.ruoyi.system.service.ISubSourceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 参数配置 服务层实现
 *
 * @author ruoyi
 */
@Service
@DataSource(value = DataSourceType.SLAVE)
public class SubSourceServiceImpl extends ServiceImpl<SubSourceMapper, SubSource> implements ISubSourceService {
    @Autowired
    private SubSourceMapper subSourceMapper;

    public List<Tender> listS() {
        List lst = subSourceMapper.selectList(new QueryWrapper<SubSource>());
        return lst;
    }

    @Override
    public SubSource findOne(LambdaQueryWrapper<SubSource> eq) {
        return subSourceMapper.selectOne(eq);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void Save(SubSource vo) {
        subSourceMapper.insert(vo);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean saveOrUpdate(SubSource entity) {
        return super.saveOrUpdate(entity);
    }


    @Override
    public Integer selectCount(Wrapper<SubSource> queryWrapper) {
        return subSourceMapper.selectCount(queryWrapper);
    }


}
